------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
-- CppScriptMgr:SetViewPosByCell(36, 31)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

CppScriptMgr:SetViewPosByCell(159, 191)
-- local pox = 157
-- local poy = 191
-- for i = 1,18 do 
	-- pox = pox 
	-- poy = poy +3
	-- CppScriptMgr:SetViewPosByCell(pox, poy)
	-- CppScriptMgr:WaitMilSec(150)
-- end 

-- CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:AddEffect("Digong_BG", 161, 192)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(156, 243)
local Monster2 = CppScriptMgr:AddPlayer(158,156,243, "DragonChen")
Monster2:SetZoomPercent(150)
Monster2:SetDir(7)

Monster2:SetAction(401)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("5fire-2", 156, 243)
CppScriptMgr:WaitMilSec(1000)

-- Monster2:Say("DragonChen在此！", 2000)
-- CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)

